import {
    NativeModules, StatusBar
} from 'react-native';

const RNStatusbarManager = NativeModules.RNStatusbarManager;

function translucentStatusBar(isDark) {
    RNStatusbarManager && RNStatusbarManager.translucentStatusBar && RNStatusbarManager.translucentStatusBar(isDark);
}

function steepOrPadding(currentRootView, needStatusBarView) {
    RNStatusbarManager && RNStatusbarManager.steepOrPadding && RNStatusbarManager.steepOrPadding(currentRootView, needStatusBarView);
}

function steepWithConfigColorRes(currentRootView, colorRes) {
    RNStatusbarManager && RNStatusbarManager.steepWithConfigColorRes && RNStatusbarManager.steepWithConfigColorRes(currentRootView, colorRes);
}

function steepWithConfigAll(currentRootView, colorInt, statusBarAlpha) {
    RNStatusbarManager && RNStatusbarManager.steepWithConfigAll && RNStatusbarManager.steepWithConfigAll(currentRootView, colorInt, statusBarAlpha);
}

function setHidden(hidden: boolean, animation?: StatusBarAnimation) {
  (RNStatusbarManager && RNStatusbarManager.setHidden) ? RNStatusbarManager.setHidden(hidden) : StatusBar.setHidden(hidden, animation);
}

export default {
    translucentStatusBar,
    steepOrPadding,
    steepWithConfigColorRes,
    steepWithConfigAll,
    setHidden
};
